--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "This function is intended to be used by client applications that send commands like: +ALTER USER joe PASSWORD 'pwd'+. The arguments are the cleartext password, and the SQL name of the user it is for."
- !ruby/struct:SM::Flow::P 
  body: Return value is the encrypted password.
full_name: PGconn::encrypt_password
is_singleton: true
name: encrypt_password
params: |
  PGconn.encrypt_password( password, username ) -> String

visibility: public
